> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create



## OpenAPI

````yaml api-reference/openapi.yaml post /api/v1/uploaded_datasets/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/uploaded_datasets/:
    post:
      tags:
        - Datasets - Uploaded
      summary: Create
      operationId: uploaded_datasets_create
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UploadedDatasetCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dataset'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    UploadedDatasetCreate:
      type: object
      properties:
        portfolio_id:
          type: string
          format: uuid
        report_name:
          type: string
        file:
          type: string
          format: uri
        config_results_require_review:
          type: boolean
        config_cleanse_strategy:
          $ref: '#/components/schemas/ConfigCleanseStrategyEnum'
        config_extract_filterables_definition:
          type: string
        config_filter_query:
          type: string
        config_omit_attitudes:
          type: string
      required:
        - file
        - portfolio_id
        - report_name
    Dataset:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        report:
          type: string
          format: uuid
          nullable: true
        mona_version:
          allOf:
            - $ref: '#/components/schemas/Version'
          readOnly: true
        configurations:
          allOf:
            - $ref: '#/components/schemas/DatasetConfiguration'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - configurations
        - created_at
        - id
        - mona_version
        - updated_at
    ConfigCleanseStrategyEnum:
      enum:
        - none
        - basic
      type: string
      description: |-
        * `none` - none
        * `basic` - basic
    Version:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        audience:
          type: string
        audience_type:
          allOf:
            - $ref: '#/components/schemas/AudienceTypeEnum'
          default: 1
          minimum: -2147483648
          maximum: 2147483647
        sequence:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - audience
        - id
        - name
        - sequence
    DatasetConfiguration:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        report_name:
          type: string
          readOnly: true
        report_issued_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - id
        - report_issued_at
        - report_name
    AudienceTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      description: |-
        * `0` - None
        * `1` - Customers
        * `2` - Employees
        * `3` - Donors
        * `4` - Media
        * `5` - Gathering 2024 Lecturees
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````